"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.ChannelType = exports.onConversationConversationsMerged = exports.getOrCreateConversation = exports.getConversation = void 0;
const crm_inbox_v2_conversation_conversations_public_js_1 = require("./crm-inbox-v2-conversation-conversations.public.js");
const rest_modules_1 = require("@wix/sdk-runtime/rest-modules");
const event_definition_modules_1 = require("@wix/sdk-runtime/event-definition-modules");
const crm_inbox_v2_conversation_conversations_public_js_2 = require("./crm-inbox-v2-conversation-conversations.public.js");
exports.getConversation = (0, rest_modules_1.createRESTModule)(crm_inbox_v2_conversation_conversations_public_js_1.getConversation);
exports.getOrCreateConversation = (0, rest_modules_1.createRESTModule)(crm_inbox_v2_conversation_conversations_public_js_1.getOrCreateConversation);
/**
 * Triggered when the conversation
 * is merged, for example when contacts are merged
 * or when a visitor becomes a contact.
 *
 * If messages exist in both conversations when they merge,
 * the messages are preserved in chronological order.
 */
exports.onConversationConversationsMerged = (0, event_definition_modules_1.createEventModule)(crm_inbox_v2_conversation_conversations_public_js_2.onConversationConversationsMerged);
var crm_inbox_v2_conversation_conversations_universal_js_1 = require("./crm-inbox-v2-conversation-conversations.universal.js");
Object.defineProperty(exports, "ChannelType", { enumerable: true, get: function () { return crm_inbox_v2_conversation_conversations_universal_js_1.ChannelType; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return crm_inbox_v2_conversation_conversations_universal_js_1.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return crm_inbox_v2_conversation_conversations_universal_js_1.WebhookIdentityType; } });
//# sourceMappingURL=crm-inbox-v2-conversation-conversations.context.js.map