import { RequestOptionsFactory } from '@wix/sdk-types';
/**
 * Retrieves a conversation by conversation ID.
 *
 * If you don't have the conversation ID, use `getOrCreateConversation()` to retrieve the conversation using the visitor, contact, or member ID.
 *
 */
export declare function getConversation(payload: object): RequestOptionsFactory<any>;
/** Retrieves a conversation by the specified visitor, contact, or member ID. If the conversation does not exist for the provided visitor, contact, or member, the function creates a new conversation. */
export declare function getOrCreateConversation(payload: object): RequestOptionsFactory<any>;
