import * as ambassadorWixCrmInboxV2ConversationTypes from './crm-inbox-v2-conversation-conversations.types.js';
import * as ambassadorWixCrmInboxV2ConversationUniversalTypes from './crm-inbox-v2-conversation-conversations.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function getConversation(): __PublicMethodMetaInfo<'GET', {
    conversationId: string;
}, ambassadorWixCrmInboxV2ConversationUniversalTypes.GetConversationRequest, ambassadorWixCrmInboxV2ConversationTypes.GetConversationRequest, ambassadorWixCrmInboxV2ConversationUniversalTypes.GetConversationResponse & ambassadorWixCrmInboxV2ConversationUniversalTypes.GetConversationResponseNonNullableFields, ambassadorWixCrmInboxV2ConversationTypes.GetConversationResponse & ambassadorWixCrmInboxV2ConversationTypes.GetConversationResponseNonNullableFields>;
export declare function getOrCreateConversation(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixCrmInboxV2ConversationUniversalTypes.GetOrCreateConversationRequest, ambassadorWixCrmInboxV2ConversationTypes.GetOrCreateConversationRequest, ambassadorWixCrmInboxV2ConversationUniversalTypes.GetOrCreateConversationResponse & ambassadorWixCrmInboxV2ConversationUniversalTypes.GetOrCreateConversationResponseNonNullableFields, ambassadorWixCrmInboxV2ConversationTypes.GetOrCreateConversationResponse & ambassadorWixCrmInboxV2ConversationTypes.GetOrCreateConversationResponseNonNullableFields>;
