"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.ChannelType = exports.onConversationConversationsMerged = exports.getOrCreateConversation = exports.getConversation = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const crm_inbox_v2_conversation_conversations_universal_js_1 = require("./crm-inbox-v2-conversation-conversations.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/inbox' };
function getConversation(httpClient) {
    return (conversationId) => (0, crm_inbox_v2_conversation_conversations_universal_js_1.getConversation)(conversationId, 
    // @ts-ignore
    { httpClient });
}
exports.getConversation = getConversation;
function getOrCreateConversation(httpClient) {
    return (participantId) => (0, crm_inbox_v2_conversation_conversations_universal_js_1.getOrCreateConversation)(participantId, 
    // @ts-ignore
    { httpClient });
}
exports.getOrCreateConversation = getOrCreateConversation;
exports.onConversationConversationsMerged = (0, sdk_types_1.EventDefinition)('wix.crm.inbox.v2.conversation_conversations_merged', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
var crm_inbox_v2_conversation_conversations_universal_js_2 = require("./crm-inbox-v2-conversation-conversations.universal.js");
Object.defineProperty(exports, "ChannelType", { enumerable: true, get: function () { return crm_inbox_v2_conversation_conversations_universal_js_2.ChannelType; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return crm_inbox_v2_conversation_conversations_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return crm_inbox_v2_conversation_conversations_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=crm-inbox-v2-conversation-conversations.public.js.map