import { getConversation as publicGetConversation, getOrCreateConversation as publicGetOrCreateConversation, } from './crm-inbox-v2-conversation-conversations.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onConversationConversationsMerged as publicOnConversationConversationsMerged } from './crm-inbox-v2-conversation-conversations.public.js';
export const getConversation = /*#__PURE__*/ createRESTModule(publicGetConversation);
export const getOrCreateConversation = /*#__PURE__*/ createRESTModule(publicGetOrCreateConversation);
/**
 * Triggered when the conversation
 * is merged, for example when contacts are merged
 * or when a visitor becomes a contact.
 *
 * If messages exist in both conversations when they merge,
 * the messages are preserved in chronological order.
 */
export const onConversationConversationsMerged = createEventModule(publicOnConversationConversationsMerged);
export { ChannelType, SortOrder, WebhookIdentityType, } from './crm-inbox-v2-conversation-conversations.universal.js';
//# sourceMappingURL=crm-inbox-v2-conversation-conversations.context.js.map